Package org.zkoss.bind.impl

## Class BindRowRenderer

- java.lang.Object
- - org.zkoss.bind.impl.AbstractRenderer
  - - org.zkoss.bind.impl.BindRowRenderer

- All Implemented Interfaces:
    `java.io.Serializable`, `RowRenderer<java.lang.Object>`

      public class BindRowRenderer
      extends AbstractRenderer
      implements RowRenderer<java.lang.Object>

  Row renderer for binding.
  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.AbstractRenderer

      `CURRENT_INDEX_RESOLVER_ATTR, EACH_ATTR, EACH_STATUS_VAR, EACH_VAR, IS_TEMPLATE_MODEL_ENABLED_ATTR, RENDERED_COMPONENTS, STATUS_ATTR, STATUS_POST_VAR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindRowRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `render​(Row row, java.lang.Object data, int index)` | Renders the data to the specified row.

    - ### Methods inherited from class org.zkoss.bind.impl.AbstractRenderer

      `addItemReference, addTemplateTracking, filterOutShadows, resolveTemplate, resolveTemplate, setAttributeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindRowRenderer

          public BindRowRenderer()

  - ### Method Detail

    - #### render

          public void render​(Row row,
                             java.lang.Object data,
                             int index)

      Description copied from interface: `RowRenderer`
      Renders the data to the specified row.
      Specified by:
        `render` in interface `RowRenderer<java.lang.Object>`
      Parameters:
        `row` - the row to render the result. Note: when this method is called, the row has no child at all, unless you don't return `RowRendererExt.DETACH_ON_RENDER` when `RowRendererExt.getControls()` is called.
        `data` - that is returned from `ListModel.getElementAt(int)`
        `index` - the index of the data that is currently being rendered